//
// From SwiftUI by Example by Paul Hudson
// https://www.hackingwithswift.com/quick-start/swiftui
//
// You're welcome to use this code for any purpose,
// commercial or otherwise, with or without attribution.
//

import SwiftUI

struct ContentView: View {
    var body: some View {
        Grid {
            GridRow {
                Text("Top Leading")
                    .background(.red)
    
                Text("Top Trailing")
                    .background(.orange)
            }
    
            GridRow {
                Text("Bottom Leading")
                    .background(.green)
    
                Text("Bottom Trailing")
                    .background(.blue)
            }
        }
        .font(.title)
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
